Save This Page
Home » cocoon-2.1.11-src » org.apache » cocoon » environment » [javadoc | source]
org.apache.cocoon.environment
public interface: Request [javadoc | source]

All Known Implementing Classes:
    CommandLineRequest, HttpRequest, RequestWrapper, ActionRequest, RequestProxy, RenderRequest, PortletRequest

Defines an interface to provide client request information .
Method from org.apache.cocoon.environment.Request Summary:
get,   getAttribute,   getAttributeNames,   getAuthType,   getCharacterEncoding,   getContentLength,   getContentType,   getContextPath,   getCookieMap,   getCookies,   getDateHeader,   getHeader,   getHeaderNames,   getHeaders,   getLocale,   getLocales,   getMethod,   getParameter,   getParameterNames,   getParameterValues,   getPathInfo,   getPathTranslated,   getProtocol,   getQueryString,   getRemoteAddr,   getRemoteHost,   getRemoteUser,   getRequestURI,   getRequestedSessionId,   getScheme,   getServerName,   getServerPort,   getServletPath,   getSession,   getSession,   getSitemapURI,   getSitemapURIPrefix,   getUserPrincipal,   isRequestedSessionIdFromCookie,   isRequestedSessionIdFromURL,   isRequestedSessionIdValid,   isSecure,   isUserInRole,   removeAttribute,   setAttribute,   setCharacterEncoding
Method from org.apache.cocoon.environment.Request Detail:
 public Object get(String name)
    Returns the value of the named attribute as an Object, or null if no attribute of the given name exists.
 public Object getAttribute(String name)
    Returns the value of the named attribute as an Object, or null if no attribute of the given name exists.
 public Enumeration getAttributeNames()
    Returns an Enumeration containing the names of the attributes available to this request. This method returns an empty Enumeration if the request has no attributes available to it.
 public String getAuthType()
    Returns the name of the authentication scheme used to protect the servlet, for example, "BASIC" or "SSL," or null if the servlet was not protected
 public String getCharacterEncoding()
    Returns the name of the character encoding used in the body of this request. This method returns null if the request does not specify a character encoding
 public int getContentLength()
    Returns the length, in bytes, of the request body
 public String getContentType()
    Returns the MIME type of the body of the request
 public String getContextPath()
    Returns the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "".
 public Map getCookieMap()
    Returns a map of the Cookie objects the client sent with this request, indexed by name. This method returns an empty map if no cookies were sent.
 public Cookie[] getCookies()
    Returns an array containing all of the Cookie objects the client sent with this request. This method returns null if no cookies were sent.
 public long getDateHeader(String name)
    Returns the value of the specified request header as a long value that represents a Date object. Use this method with headers that contain dates, such as If-Modified-Since.

    The date is returned as the number of milliseconds since January 1, 1970 GMT. The header name is case insensitive.

    If the request did not have a header of the specified name, this method returns -1. If the header can't be converted to a date, the method throws an IllegalArgumentException.

 public String getHeader(String name)
    Returns the value of the specified request header as a String. If the request did not include a header of the specified name, this method returns null. The header name is case insensitive. You can use this method with any request header.
 public Enumeration getHeaderNames()
    Returns an enumeration of all the header names this request contains. If the request has no headers, this method returns an empty enumeration.

    Some servlet containers do not allow do not allow servlets to access headers using this method, in which case this method returns null

 public Enumeration getHeaders(String name)
    Returns all the values of the specified request header as an Enumeration of String objects.

    Some headers, such as Accept-Language can be sent by clients as several headers each with a different value rather than sending the header as a comma separated list.

    If the request did not include any headers of the specified name, this method returns an empty Enumeration. The header name is case insensitive. You can use this method with any request header.

 public Locale getLocale()
    Returns the preferred Locale that the client will accept content in, based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns the default locale for the server.
 public Enumeration getLocales()
    Returns an Enumeration of Locale objects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header. If the client request doesn't provide an Accept-Language header, this method returns an Enumeration containing one Locale, the default locale for the server.
 public String getMethod()
    Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. Same as the value of the CGI variable REQUEST_METHOD.
 public String getParameter(String name)
    Returns the value of a request parameter as a String,
 public Enumeration getParameterNames()
    Returns an Enumeration of String objects containing the names of the parameters contained in this request. If the request has no parameters, the method returns an empty Enumeration.
 public String[] getParameterValues(String name)
    Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.

    If the parameter has a single value, the array has a length of 1.

 public String getPathInfo()
    Returns any extra path information associated with the URL the client sent when it made this request. The extra path information follows the servlet path but precedes the query string. This method returns null if there was no extra path information.

    Same as the value of the CGI variable PATH_INFO.

 public String getPathTranslated()
    Returns any extra path information after the servlet name but before the query string, and translates it to a real path. Same as the value of the CGI variable PATH_TRANSLATED.

    If the URL does not have any extra path information, this method returns null.

 public String getProtocol()
    Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1. For HTTP servlets, the value returned is the same as the value of the CGI variable SERVER_PROTOCOL.
 public String getQueryString()
    Returns the query string that is contained in the request URL after the path. This method returns null if the URL does not have a query string. Same as the value of the CGI variable QUERY_STRING.
 public String getRemoteAddr()
    Returns the Internet Protocol (IP) address of the client that sent the request. For HTTP servlets, same as the value of the CGI variable REMOTE_ADDR.
 public String getRemoteHost()
    Returns the fully qualified name of the client that sent the request, or the IP address of the client if the name cannot be determined. For HTTP servlets, same as the value of the CGI variable REMOTE_HOST.
 public String getRemoteUser()
    Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.
 public String getRequestURI()
    Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. For example:
    First line of HTTP request Returned Value
    POST /some/path.html HTTP/1.1/some/path.html
    GET http://foo.bar/a.html HTTP/1.0 http://foo.bar/a.html
    HEAD /xyz?a=b HTTP/1.1/xyz
 public String getRequestedSessionId()
    Returns the session ID specified by the client. This may not be the same as the ID of the actual session in use. For example, if the request specified an old (expired) session ID and the server has started a new session, this method gets a new session with a new ID. If the request did not specify a session ID, this method returns null.
 public String getScheme()
    Returns the name of the scheme used to make this request, for example, http, https, or ftp. Different schemes have different rules for constructing URLs, as noted in RFC 1738.
 public String getServerName()
    Returns the host name of the server that received the request. For HTTP servlets, same as the value of the CGI variable SERVER_NAME.
 public int getServerPort()
    Returns the port number on which this request was received. For HTTP servlets, same as the value of the CGI variable SERVER_PORT.
 public String getServletPath()
    Returns the part of this request's URL that calls the servlet. This includes either the servlet name or a path to the servlet, but does not include any extra path information or a query string. Same as the value of the CGI variable SCRIPT_NAME.
 public Session getSession()
    Returns the current session associated with this request, or if the request does not have a session, creates one.
 public Session getSession(boolean create)
    Returns the current Session associated with this request or, if if there is no current session and create is true, returns a new session.

    If create is false and the request has no valid Session, this method returns null.

    To make sure the session is properly maintained, you must call this method before the response is committed.

 public String getSitemapURI()

    Returns the URI of the requested resource as interpreted by the sitemap. For example, if your webapp is mounted at "/webapp" and the HTTP request is for "/webapp/foo", this method returns "foo". Consequently, if the request is for "/webapp", this method returns an empty string.

    Note that if the request is mapped to a pipeline that contains aggregated content, and if this method is called in the context of one of the aggregated parts (e.g. a server page), this method will return the URI of the aggregated part, not the original requested URI.

 public String getSitemapURIPrefix()

    Returns the URI Prefix of the requested resource where the sitemap is mounted. For example, if your webapp is mounted at "/webapp" and the HTTP request is for "/webapp/foo", this method returns "webapp/".

 public Principal getUserPrincipal()
    Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.
 public boolean isRequestedSessionIdFromCookie()
    Checks whether the requested session ID came in as a cookie.
 public boolean isRequestedSessionIdFromURL()
    Checks whether the requested session ID came in as part of the request URL.
 public boolean isRequestedSessionIdValid()
    Checks whether the requested session ID is still valid.
 public boolean isSecure()
    Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
 public boolean isUserInRole(String role)
    Checks whether the currently logged in user is in a specified role.
 public  void removeAttribute(String name)
    Removes an attribute from this request. This method is not generally needed as attributes only persist as long as the request is being handled.

    Attribute names should follow the same conventions as package names. Names beginning with java.*, javax.*, and com.sun.*, are reserved for use by Sun Microsystems.

 public  void setAttribute(String name,
    Object o)
    Stores an attribute in this request. Attributes are reset between requests.

    Attribute names should follow the same conventions as package names. Names beginning with java.*, javax.*, and com.sun.*, are reserved for use by Sun Microsystems.

 public  void setCharacterEncoding(String enc) throws UnsupportedEncodingException
    Overrides the charactor encoding of parameters.